URIProperty (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.properties

## Class URIProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.URIProperty

-     public class URIProperty
      extends Property

  Class modeling a property that has a value of type <uri-specification>. The purpose is mainly to support resolution of a specified relative URI against a specified or inherited `xml:base` during the property refinement stage. If no `xml:base` has been specified, only the original URI, as it appears in the source document, is stored as the property's specified value.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `URIProperty.Maker` Inner `PropertyMaker` subclass responsible for making instances of this type.

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.Property

      `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `URIProperty(URI uri)` Default constructor, to create a `URIProperty` from a `java.net.URI` directly.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getString()` Return a string representing the resolved URI, or the specified value if the URI is not resolved against an `xml:base`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.fop.fo.properties.Property

      `getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getList, getNCname, getNumber, getNumeric, getObject, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URIProperty

          protected URIProperty(URI uri)

      Default constructor, to create a `URIProperty` from a `java.net.URI` directly.
      Parameters:
        `uri` - a resolved `java.net.URI`

  - ### Method Detail

    - #### getString

          public String getString()

      Return a string representing the resolved URI, or the specified value if the URI is not resolved against an `xml:base`
      Overrides:
        `getString` in class `Property`
      Returns:
        a string representing the URI

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Property`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2025 Apache Software Foundation. All rights reserved.